from tensorflow_io import genome
from tensorflow import Tensor
from typing import Tuple


def parse_data(filepath) -> Tuple[Tensor, Tensor]:
    """
    Reads a FASTQ file and returns the sequences and the qualities
    """
    HVR = genome.read_fastq(filename=filepath)
    return HVR.sequences, HVR.raw_quality
